#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: esqueleto
version: 1.4.4
id: esqueleto-1.4.4-2f7d73ad084cbd9b7da8cf74dd31672a

license: BSD3
copyright: (c) 2012-2014 Felipe Almeida Lessa
maintainer: felipe.lessa@gmail.com
stability:
homepage: https://github.com/prowdsponsor/esqueleto
package-url:
synopsis: Type-safe EDSL for SQL queries on persistent backends.
description: @esqueleto@ is a bare bones, type-safe EDSL for SQL queries
             that works with unmodified @persistent@ SQL backends.  Its
             language closely resembles SQL, so you don'\''t have to learn
             new concepts, just new syntax, and it'\''s fairly easy to
             predict the generated SQL and optimize it for your backend.
             Most kinds of errors committed when writing SQL are caught as
             compile-time errors---although it is possible to write
             type-checked @esqueleto@ queries that fail at runtime.
             .
             @persistent@ is a library for type-safe data serialization.  It
             has many kinds of backends, such as SQL backends
             (@persistent-mysql@, @persistent-postgresql@,
             @persistent-sqlite@) and NoSQL backends (@persistent-mongoDB@).
             While @persistent@ is a nice library for storing and retrieving
             records, including with filters, it does not try to support
             some of the features that are specific to SQL backends.  In
             particular, @esqueleto@ is the recommended library for
             type-safe @JOIN@s on @persistent@ SQL backends.  (The
             alternative is using raw SQL, but that'\''s error prone and does
             not offer any composability.)
             .
             Currently, @SELECT@s, @UPDATE@s, @INSERT@s and @DELETE@s are supported.
             Not all SQL features are available, but most of them can be easily added
             (especially functions), so please open an issue or send a pull request if
             you need anything that is not covered by @esqueleto@ on
             <https://github.com/prowdsponsor/esqueleto/>.
             .
             The name of this library means \"skeleton\" in Portuguese and
             contains all three SQL letters in the correct order =).  It was
             inspired by Scala'\''s Squeryl but created from scratch.
category: Database
author: Felipe Lessa
exposed: True
exposed-modules: Database.Esqueleto
                 Database.Esqueleto.Internal.Language
                 Database.Esqueleto.Internal.Sql
hidden-modules: Database.Esqueleto.Internal.PersistentImport
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/esqueleto-1.4.4
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/esqueleto-1.4.4
              /usr/local/lib
hs-libraries: HSesqueleto-1.4.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         conduit-1.1.7-e0c0d6b87df48c8ee0077e21011cbeeb
         monad-logger-0.3.7.1-7400cceaeb09fd7116fb51771ba1719e
         persistent-1.3.1.1-d69eb99ca8c63a8567c57a439d19aab9
         resourcet-1.1.2.3-4dece81d42248732e7c08c6aa129688c
         tagged-0.7.2-28286204801522ac85a55fc42ce891dc
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/esqueleto-1.4.4/html/esqueleto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/esqueleto-1.4.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
